Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThanh Liem PHAN2017-06-21 10:51:48 -0400
committervincent lorenzo2017-08-03 06:47:25 -0400
commit2615453cdf642d0810a2e6d65c87d088e6eff429 (patch)
tree823a8ab54d1aaae0a77467f3ce37533b89a63b9a /tests/junit/plugins/editor
parentf0c5a25e069b8cecf3bf7677ae6b2932e23d3a72 (diff)
downloadorg.eclipse.papyrus-2615453cdf642d0810a2e6d65c87d088e6eff429.tar.gz
org.eclipse.papyrus-2615453cdf642d0810a2e6d65c87d088e6eff429.tar.xz
org.eclipse.papyrus-2615453cdf642d0810a2e6d65c87d088e6eff429.zip
Bug 515806: [Table] Provide a preference to choose the string to display
instead of N/A https://bugs.eclipse.org/bugs/show_bug.cgi?id=515806 - Create a cell preference page in which a string can be defined for the cell content of non supported column - Replace the usage of final var ICellManager.NOT_AVALABLE by the method CellHelper.getUnsupportedColumnCellText, which allows the modification of string immediately without having to restart Papyrus - JUnit Test Change-Id: I0ddf37889caf9a7a504a39b16a4df85a1a3a992c Signed-off-by: Thanh Liem PHAN <thanhliem.phan@all4tec.net> Signed-off-by: Vincent Lorenzo <vincent.lorenzo@cea.fr>
Diffstat (limited to 'tests/junit/plugins/editor')
-rw-r--r--tests/junit/plugins/editor/org.eclipse.papyrus.editor.integration.tests/META-INF/MANIFEST.MF96
1 files changed, 48 insertions, 48 deletions
diff --git a/tests/junit/plugins/editor/org.eclipse.papyrus.editor.integration.tests/META-INF/MANIFEST.MF b/tests/junit/plugins/editor/org.eclipse.papyrus.editor.integration.tests/META-INF/MANIFEST.MF
index c629dd2d7ca..a31f8df88b5 100644
--- a/tests/junit/plugins/editor/org.eclipse.papyrus.editor.integration.tests/META-INF/MANIFEST.MF
+++ b/tests/junit/plugins/editor/org.eclipse.papyrus.editor.integration.tests/META-INF/MANIFEST.MF
@@ -1,48 +1,48 @@
-Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.papyrus.uml.diagram.clazz;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.papyrus.uml.diagram.timing;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.papyrus.infra.core.log;bundle-version="[1.2.0,2.0.0)",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
- org.eclipse.papyrus.uml.tools;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.uml2.uml;bundle-version="[5.3.0,6.0.0)",
- org.eclipse.papyrus.uml.diagram.common;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.ui.ide;bundle-version="3.9.0",
- org.eclipse.emf.transaction;bundle-version="1.4.0",
- org.eclipse.gmf.runtime.common.core;bundle-version="1.7.0",
- org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.7.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.7.0",
- org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.7.0",
- org.eclipse.papyrus.infra.services.edit;bundle-version="[3.0.0,4.0.0)",
- org.junit;bundle-version="4.10.0",
- org.eclipse.papyrus.views.modelexplorer;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.ui.navigator;bundle-version="3.5.0",
- org.eclipse.papyrus.infra.services.validation;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.papyrus.uml.service.validation;bundle-version="[2.1.0,3.0.0)",
- org.eclipse.papyrus.infra.nattable.common;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.papyrus.infra.nattable;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.papyrus.uml.nattable.menu;bundle-version="[1.2.0,2.0.0)",
- org.eclipse.papyrus.uml.diagram.sequence;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.papyrus.infra.emf;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.papyrus.junit.framework;bundle-version="[1.2.0,2.0.0)",
- org.eclipse.papyrus.junit.utils;bundle-version="[2.0.0,3.0.0)",
- org.eclipse.papyrus.infra.ui;bundle-version="[2.0.0,3.0.0)",
- org.eclipse.papyrus.infra.core.sasheditor;bundle-version="[2.0.0,3.0.0)",
- org.eclipse.papyrus.infra.core.sashwindows.di;bundle-version="[1.2.0,2.0.0)"
-Export-Package: org.eclipse.papyrus.editor.integration.tests,
- org.eclipse.papyrus.editor.integration.tests.tests
-Bundle-Vendor: Eclipse Modeling Project
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: Papyrus Editor Integration Tests
-Bundle-ManifestVersion: 2
-Bundle-Activator: org.eclipse.papyrus.editor.integration.tests.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.editor.integration.tests;singleton:=true
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Import-Package: com.google.common.base;version="21.0.0",
- com.google.common.collect;version="21.0.0"
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.core;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.uml.diagram.clazz;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.uml.diagram.timing;bundle-version="[1.3.0,2.0.0)",
+ org.eclipse.papyrus.infra.core.log;bundle-version="[1.2.0,2.0.0)",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
+ org.eclipse.papyrus.uml.tools;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.uml2.uml;bundle-version="[5.3.0,6.0.0)",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.ui.ide;bundle-version="3.9.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.common.core;bundle-version="1.7.0",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.7.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.7.0",
+ org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.7.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="[3.0.0,4.0.0)",
+ org.junit;bundle-version="4.10.0",
+ org.eclipse.papyrus.views.modelexplorer;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.ui.navigator;bundle-version="3.5.0",
+ org.eclipse.papyrus.infra.services.validation;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.uml.service.validation;bundle-version="[2.1.0,3.0.0)",
+ org.eclipse.papyrus.infra.nattable.common;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.infra.nattable;bundle-version="[4.0.0,5.0.0)",
+ org.eclipse.papyrus.uml.nattable.menu;bundle-version="[1.2.0,2.0.0)",
+ org.eclipse.papyrus.uml.diagram.sequence;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.infra.emf;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.junit.framework;bundle-version="[1.2.0,2.0.0)",
+ org.eclipse.papyrus.junit.utils;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.papyrus.infra.ui;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.papyrus.infra.core.sasheditor;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.papyrus.infra.core.sashwindows.di;bundle-version="[1.2.0,2.0.0)"
+Export-Package: org.eclipse.papyrus.editor.integration.tests,
+ org.eclipse.papyrus.editor.integration.tests.tests
+Bundle-Vendor: Eclipse Modeling Project
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: Papyrus Editor Integration Tests
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.editor.integration.tests.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.editor.integration.tests;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Import-Package: com.google.common.base;version="21.0.0",
+ com.google.common.collect;version="21.0.0"

Back to the top